/**
 * \file bwbVerticalTailsConfig.cpp
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Blended Wing Body Vertical Tails Config header file
 * \version 0.1
 * \date 2023-11-15
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef EMPENNAGEDESIGN_SRC_BWB_VERTICAL_TAILS_BWBVERTICALTAILSCONFIG_H_
#define EMPENNAGEDESIGN_SRC_BWB_VERTICAL_TAILS_BWBVERTICALTAILSCONFIG_H_

#include <aixml/endnode.h>

#include <vector>

#include "lib/IO_methods/io.h"

namespace bwb {
namespace low {

class VerticalTailsConfig {
 public:
  VerticalTailsConfig();
  ~VerticalTailsConfig() = default;
  
  void read(const node& xml);

  EndnodeReadOnly<std::string> design_mode;
  EndnodeReadOnly<std::string> mass_mode;
  std::vector<TailElement> vertical_tails;

};

}  // namespace low
}  // namespace bwb
#endif  // EMPENNAGEDESIGN_SRC_BWB_VERTICAL_TAILS_BWBVERTICALTAILSCONFIG_H_
