def cabin_floor_thickness_calculation(geometry_description, runtime_output):
    """ Calculates cabin floor thickness from given cabin wall thickness.

        References and calculation method:
            [1] Prof. Dr.-Ing. Juergen Thorbeck TU-Berlin (2006), Script "Flugzeugentwurf I und II" page: XYZ
                cabin_floor_thickness = 1.5 * wall_thickness [inch]

    :param dict geometry_description: Dict containing geometry parameter and values of current fuselage design
    :param logging.Logger runtime_output: Logging object used for capturing log messages in the module
    :return dict geometry_description: Dict containing geometry parameter and values of current fuselage design
    """

    # Calculation of cabin floor thickness according to [1].
    geometry_description['cabin_floor_thickness'] = round(1.5 * geometry_description['cabin_wall_thickness'], 2)

    ''' debug print '''
    runtime_output.debug('Debug: The cabin_floor_thickness_calculation function was successfully executed!')

    return geometry_description
