def calculate_center_of_gravity(tank_shape, diameter_front, diameter_rear, length):
    """_summary_

    :param _type_ tank_entity: _description_
    :param dict dict_ac_data: Dict containing parameter and values from aircraft exchange and module configuration file
    :param dict dict_tank_design: Dict containing results from tank design
    :param logging.Logger runtime_output: Logging object used for capturing log messages in the module
    """

    match tank_shape:
        case 'conical':
            x_coordinate_center_of_gravity = length/3 * (diameter_front + 2*diameter_rear)/(diameter_front
                                                                                            + diameter_rear)
            z_coordinate_center_of_gravity = (diameter_front**2 - diameter_rear**2
                                              + abs(diameter_rear)*(diameter_front + 2*diameter_rear))/(
                                                  3*(diameter_front + diameter_rear))
            print('Calculating center of gravity for conical tank.')

        case 'cylindrical':
            x_coordinate_center_of_gravity = length/2
            z_coordinate_center_of_gravity = diameter_front/2
            print('Calculating center of gravity for cylindrical tank.')

    y_coordinate_center_of_gravity = 0.0

    return x_coordinate_center_of_gravity, y_coordinate_center_of_gravity, z_coordinate_center_of_gravity
