/**
 * \file aspectRatioMethods.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Aspect ratio methods
 * \version 0.1
 * \date 2023-12-19
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef ASPECT_RATIO_METHODS_H_
#define ASPECT_RATIO_METHODS_H_

#include <string>
using modes = std::string;

namespace user_defined {
double aspect_ratio(const double user_aspect_ratio);
}

namespace by_pitch_up_limit_function {
double aspect_ratio(const double sweep_at_quarter_chord);
}

double get_design_aspect_ratio(modes aspect_ratio_mode, const double user_aspect_ratio,
                               const double quarter_chord_sweep);
#endif  // ASPECT_RATIO_METHODS_H_