/**
 * \file relativeKinkPosition.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Relative kink position methods
 * \version 0.1
 * \date 2024-01-08
 *
 * @copyright Copyright (c) 2024
 *
 */
#ifndef RELATIVE_KINK_POSITION_METHODS_H_
#define RELATIVE_KINK_POSITION_METHODS_H_
#include <iostream>
using modes = std::string;

namespace user_defined {
double relative_kink_position(const double user_relative_kink_position);
double trailing_edge_maximum_sweep(const double user_trailing_edge_maximum_sweep);
}  // namespace user_defined

namespace based_on_landing_gear_track {
double relative_kink_position(const double initial_relative_kink_position, const double relative_track_position_kink);
double trailing_edge_maximum_sweep(const double user_trailing_edge_maximum_sweep);
}  // namespace based_on_landing_gear_track

double get_design_relative_kink_position(modes relative_kink_position_mode, const double user_relative_kink_position,
                                         const double track_based_initial_relative_kink,
                                         const double track_relative_kink_position);

double get_design_maximum_inner_trailing_edge_sweep(modes relative_kink_position_mode,
                                                    const double user_max_inner_trailing_edge_sweep,
                                                    const double track_based_max_inner_trailing_edge_sweep);

#endif  // RELATIVE_KINK_POSITION_METHODS_H_