/**
 * \file wingAreaMethods.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Wing area calculation methods
 * \version 0.1
 * \date 2023-12-06
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef WING_AREA_METHODS_H_
#define WING_AREA_METHODS_H_
#include <iostream>

using modes = std::string;
namespace user_defined {
double wing_area(const double user_wing_area);
}

namespace loading_and_mass {
double wing_area(const double mtom, const double loading);
}

double get_design_wing_area(modes wing_area_mode, const double user_wing_area, const double maximum_takeoff_mass,
                            const double wing_loading);
#endif  // WING_AREA_METHODS_H_
