/**
 * \file wingDesign.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Base module for wingDesing
 * \version 0.1
 * \date 2023-12-05
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef WINGDESIGN_SRC_WINGDESIGN_H_
#define WINGDESIGN_SRC_WINGDESIGN_H_

#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

#include <string>

class WingDesign : public Module {
 public:
  WingDesign(const int argc, char *argv[], const std::string &toolName, const std::string &toolVersion);
  ~WingDesign() = default;

  void initialize() override { strategy.initializeStrategy(); }
  void run() override { strategy.runStrategy(); }
  void update() override { strategy.updateStrategy(); }
  void report() override { strategy.reportStrategy(); }
  void save() override {
    strategy.saveStrategy();
    rtIO_->saveAndCloseAcXML();
    rtIO_->closeModuleConfig();
  }
  std::vector<std::string> route;
  strategyaccess design_route(const std::vector<std::string> &route);
  StrategySelector strategy;
};

#endif  // WINGDESIGN_SRC_WINGDESIGN_H_
